<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ipsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ipsc_char_t</compoundname>
    <includes local="no">cy_ble_ips.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ipsc__char__t_1a963ad73e901a4b1d04084fe1adce182d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ipsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="128" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="128" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipsc__char__t_1a9154df71f50ba8cb436acdb7d7e84bef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ipsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="129" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="129" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipsc__char__t_1a78ae4a59019a7a8464b7f855e761763d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ipsc_char_t::descrHandle[CY_BLE_IPS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_IPS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Array of Descriptor handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="130" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipsc__char__t_1a8b38c6a1821006f1ec896d7f96e4a653" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_ipsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="131" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="131" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>IPS Characteristic with descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="132" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="127" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ipsc__char__t_1a78ae4a59019a7a8464b7f855e761763d" virt="non-virtual"><scope>cy_stc_ble_ipsc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ipsc__char__t_1a9154df71f50ba8cb436acdb7d7e84bef" virt="non-virtual"><scope>cy_stc_ble_ipsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ipsc__char__t_1a8b38c6a1821006f1ec896d7f96e4a653" virt="non-virtual"><scope>cy_stc_ble_ipsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__ipsc__char__t_1a963ad73e901a4b1d04084fe1adce182d" virt="non-virtual"><scope>cy_stc_ble_ipsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>